Name: pam-radius-auth
Summary: PAM Module for RADIUS Authentication
Version: 1.3.17
Release: 2.scs
License: GNU GPL
Group: System Environment/Libraries
URL: http://www.freeradius.org/pam_radius_auth/
Source0: ftp://ftp.freeradius.org/pub/radius/pam_radius-%{version}.tar
Requires: pam
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This is the PAM to RADIUS authentication module. It allows any PAM-capable
machine to become a RADIUS client for authentication and accounting
requests. You will need a RADIUS server to perform the actual
authentication.

%prep
%setup -qn pam_radius-%{version}

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT/%{_lib}/security $RPM_BUILD_ROOT%{_sysconfdir}/raddb

%{__install} -m 0755 pam_radius_auth.so %{buildroot}/%{_lib}/security/pam_radius_auth.so
%{__install} -m 0600 pam_radius_auth.conf %{buildroot}%{_sysconfdir}/raddb/server

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/raddb/server
/%{_lib}/security/pam_radius_auth.so

%changelog
